Package org.eclipse.handly.ui.callhierarchy

# Enum Class LocationTableLabelProvider.Column

java.lang.Object
java.lang.Enum<LocationTableLabelProvider.Column>
org.eclipse.handly.ui.callhierarchy.LocationTableLabelProvider.Column

All Implemented Interfaces:
  `Serializable`, `Comparable<LocationTableLabelProvider.Column>`, `Constable`

Enclosing class:
  `LocationTableLabelProvider`

protected static enum LocationTableLabelProvider.Column extends Enum<LocationTableLabelProvider.Column>
Enumeration of the columns in the call location table.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ICON`
  The icon column.
  `INFO`
  The call info column.
  `LINE`
  The line number column.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LocationTableLabelProvider.Column`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LocationTableLabelProvider.Column[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ICON

    public static final LocationTableLabelProvider.Column ICON
    The icon column.

  - ### LINE

    public static final LocationTableLabelProvider.Column LINE
    The line number column.

  - ### INFO

    public static final LocationTableLabelProvider.Column INFO
    The call info column.

- ## Method Details

  - ### values

    public static LocationTableLabelProvider.Column[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LocationTableLabelProvider.Column valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null